class MigrateChartRule < ActiveRecord::Migration[5.2]
  def change
    ChartRule.all.each do |rule|
      if rule.competition
        com_module = rule.competition.competition_modules.find_by(module_type: "chart")
        if com_module && !com_module.competition_module_md_contents.exists?(competition_stage_id: rule.competition_stage_id ? rule.competition_stage_id : 0)
          CompetitionModuleMdContent.create!(content: rule.content, competition_module_id: com_module.id, competition_stage_id: rule.competition_stage_id ? rule.competition_stage_id : 0)
        end
      end
    end
  end
end
